Loading...
Searching...
No Matches
casacore::PrimaryTable< TYPE > Class Template Reference
fits package (libcasa_fits) » FITS_module

Primary Table structure. More...

`#include <hdu.h>`

## Public Types

typedef TYPE | ElementType

## Public Member Functions

| PrimaryTable (FitsInput &, FITSErrorHandler errhandler=FITSError::defaultHandler)
| PrimaryTable (FitsKeywordList &, FITSErrorHandler errhandler=FITSError::defaultHandler)
| PrimaryTable (FITSErrorHandler errhandler=FITSError::defaultHandler)
| constructor for header consisted required keywords only
| ~PrimaryTable ()
int | write_priTable_hdr (FitsOutput &fout, int bitpix, int naxis, long *naxes)
| write required keywords for PrimaryTable
int | read ()
int | read (int)
int | write (FitsOutput &)
char * | object () const
char * | telescop () const
char * | instrume () const
char * | dateobs () const
char * | datemap () const
char * | bunit () const
float | bscal () const
float | bzero () const
float | equinox () const
float | altrpix () const

## Protected Attributes

char * | object_x
char * | telescop_x
char * | instrume_x
char * | dateobs_x
char * | datemap_x
Float | bscale_x
Float | bzero_x
char * | bunit_x
Float | equinox_x
Float | altrpix_x

## Private Member Functions

void | pt_assign ()

## Detailed Description

template<class TYPE>
class casacore::PrimaryTable< TYPE >

Primary Table structure.

### Template Type Argument Requirements

- typedef PrimaryTable<unsigned char> BytePrimaryTable;
- typedef PrimaryTable<short> ShortPrimaryTable;
- typedef PrimaryTable<FitsLong> LongPrimaryTable;
- typedef PrimaryTable<float> FloatPrimaryTable;
- typedef PrimaryTable<double> DoublePrimaryTable;

Definition at line 704 of file hdu.h.

## Member Typedef Documentation

## ElementType

template<class TYPE>

typedef TYPE casacore::PrimaryTable< TYPE >::ElementType

Definition at line 706 of file hdu.h.

## Constructor & Destructor Documentation

## PrimaryTable() [1/3]

template<class TYPE>

casacore::PrimaryTable< TYPE >::PrimaryTable | ( | FitsInput & | ,
|  | FITSErrorHandler | errhandler = FITSError::defaultHandler )

## PrimaryTable() [2/3]

template<class TYPE>

casacore::PrimaryTable< TYPE >::PrimaryTable | ( | FitsKeywordList & | ,
|  | FITSErrorHandler | errhandler = FITSError::defaultHandler )

## PrimaryTable() [3/3]

template<class TYPE>

casacore::PrimaryTable< TYPE >::PrimaryTable | ( | FITSErrorHandler | errhandler = FITSError::defaultHandler | ) |

constructor for header consisted required keywords only

## ~PrimaryTable()

template<class TYPE>

casacore::PrimaryTable< TYPE >::~PrimaryTable | ( |  | ) |

## Member Function Documentation

## altrpix()

template<class TYPE>

float casacore::PrimaryTable< TYPE >::altrpix | ( |  | ) | const

inline

Definition at line 733 of file hdu.h.

## bscal()

template<class TYPE>

float casacore::PrimaryTable< TYPE >::bscal | ( |  | ) | const

inline

Definition at line 730 of file hdu.h.

## bunit()

template<class TYPE>

char * casacore::PrimaryTable< TYPE >::bunit | ( |  | ) | const

inline

Definition at line 729 of file hdu.h.

## bzero()

template<class TYPE>

float casacore::PrimaryTable< TYPE >::bzero | ( |  | ) | const

inline

Definition at line 731 of file hdu.h.

## datemap()

template<class TYPE>

char * casacore::PrimaryTable< TYPE >::datemap | ( |  | ) | const

inline

Definition at line 728 of file hdu.h.

## dateobs()

template<class TYPE>

char * casacore::PrimaryTable< TYPE >::dateobs | ( |  | ) | const

inline

Definition at line 727 of file hdu.h.

## equinox()

template<class TYPE>

float casacore::PrimaryTable< TYPE >::equinox | ( |  | ) | const

inline

Definition at line 732 of file hdu.h.

## instrume()

template<class TYPE>

char * casacore::PrimaryTable< TYPE >::instrume | ( |  | ) | const

inline

Definition at line 726 of file hdu.h.

## object()

template<class TYPE>

char * casacore::PrimaryTable< TYPE >::object | ( |  | ) | const

inline

Definition at line 724 of file hdu.h.

## pt_assign()

template<class TYPE>

void casacore::PrimaryTable< TYPE >::pt_assign | ( |  | ) |

private

## read() [1/2]

template<class TYPE>

int casacore::PrimaryTable< TYPE >::read | ( |  | ) |

## read() [2/2]

template<class TYPE>

int casacore::PrimaryTable< TYPE >::read | ( | int |  | ) |

inline

Definition at line 721 of file hdu.h.

## telescop()

template<class TYPE>

char * casacore::PrimaryTable< TYPE >::telescop | ( |  | ) | const

inline

Definition at line 725 of file hdu.h.

## write()

template<class TYPE>

int casacore::PrimaryTable< TYPE >::write | ( | FitsOutput & |  | ) |

inline

Definition at line 722 of file hdu.h.

## write_priTable_hdr()

template<class TYPE>

int casacore::PrimaryTable< TYPE >::write_priTable_hdr | ( | FitsOutput & | fout,
|  | int | bitpix,
|  | int | naxis,
|  | long * | naxes )

write required keywords for PrimaryTable

## Member Data Documentation

## altrpix_x

template<class TYPE>

Float casacore::PrimaryTable< TYPE >::altrpix_x

protected

Definition at line 745 of file hdu.h.

## bscale_x

template<class TYPE>

Float casacore::PrimaryTable< TYPE >::bscale_x

protected

Definition at line 741 of file hdu.h.

## bunit_x

template<class TYPE>

char* casacore::PrimaryTable< TYPE >::bunit_x

protected

Definition at line 743 of file hdu.h.

## bzero_x

template<class TYPE>

Float casacore::PrimaryTable< TYPE >::bzero_x

protected

Definition at line 742 of file hdu.h.

## datemap_x

template<class TYPE>

char* casacore::PrimaryTable< TYPE >::datemap_x

protected

Definition at line 740 of file hdu.h.

## dateobs_x

template<class TYPE>

char* casacore::PrimaryTable< TYPE >::dateobs_x

protected

Definition at line 739 of file hdu.h.

## equinox_x

template<class TYPE>

Float casacore::PrimaryTable< TYPE >::equinox_x

protected

Definition at line 744 of file hdu.h.

## instrume_x

template<class TYPE>

char* casacore::PrimaryTable< TYPE >::instrume_x

protected

Definition at line 738 of file hdu.h.

## object_x

template<class TYPE>

char* casacore::PrimaryTable< TYPE >::object_x

protected

Definition at line 736 of file hdu.h.

## telescop_x

template<class TYPE>

char* casacore::PrimaryTable< TYPE >::telescop_x

protected

Definition at line 737 of file hdu.h.

The documentation for this class was generated from the following file:

- fits/FITS/hdu.h